{%- from "heat/map.jinja" import server with context %}

{%- if server.get('db_purge', {}).get('enabled', False) %}

{%- set cmd_args = [] %}
{%- if server.db_purge.days is defined %}
{%-   do cmd_args.append('-g') %}
{%-   do cmd_args.append('days') %}
{%- endif %}

{%- if server.db_purge.project_id is defined %}
{%-   do cmd_args.append('-p') %}
{%-   do cmd_args.append(server.db_purge.project_id|string) %}
{%- endif %}

{%- if server.db_purge.days is defined %}
{%-   do cmd_args.append(server.db_purge.days|string) %}
{%- endif %}
heat_db_clean:
  cmd.run:
  - name: "heat-manage purge_deleted {{ cmd_args|join(' ') }}"
  - runas: 'heat'
  {%- if grains.get('noservices') or server.get('role', 'primary') == 'secondary' %}
  - onlyif: /bin/false
  {%- endif %}

{%- endif %}
